Knips logoKnips API

Create post request

Requests creation of a new post in a feed. The action field controls whether it is published, scheduled or suggested.

POST
/feeds/{feedId}/post-requests

Requests creation of a new post in a feed. The action field controls whether it is published, scheduled or suggested.

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

feedId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

imageUrl?string
notificationSettings?
ctaLink?
publishDate?string
action?string
mediaImageUrls?array<string>
recipients?
author?
button?
text?string
header?string
curl -X POST "https://example.com/feeds/string/post-requests" \  -H "Content-Type: application/json" \  -d '{}'
{  "body": {    "requestId": "string"  },  "state": "string"}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}